package com.zm.order.tool.server.request;

import com.alibaba.fastjson.JSON;
import com.zm.order.tool.server.response.OrderNewVO;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @author zhuxiaofeng
 * @Description
 * @Date 2021/8/12 8:47
 */
public class OrderRepairRequest implements Serializable  {

    @ApiModelProperty(value = "订单数据")
    private OrderNewVO orderData;

    @ApiModelProperty(value = "操作人")
    private String author;

    @ApiModelProperty(value = "操作备注")
    private String remarks;

    public String getRemarks() {
        return remarks;
    }

    public void setRemarks(String remarks) {
        this.remarks = remarks;
    }

    public OrderNewVO getOrderData() {
        return orderData;
    }

    public void setOrderData(OrderNewVO orderData) {
        this.orderData = orderData;
    }

    public String getAuthor() {
        return author;
    }

    public void setAuthor(String author) {
        this.author = author;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
